summaryrefslogtreecommitdiff
path: root/net-dns/smartdns/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-04-16 13:07:24 +0100
committerV3n3RiX <venerix@koprulu.sector>2022-04-16 13:07:24 +0100
commit0c100b7dd2b30e75b799d806df4ef899fd98e1ea (patch)
tree464c922e949c7e4d5d891fb2cdda5daee5612537 /net-dns/smartdns/files
parente68d405c5d712af4387159df07e226217bdda049 (diff)
gentoo resync : 16.04.2022
Diffstat (limited to 'net-dns/smartdns/files')
-rw-r--r--net-dns/smartdns/files/smartdns.confd5
-rw-r--r--net-dns/smartdns/files/smartdns.initd24
2 files changed, 29 insertions, 0 deletions
diff --git a/net-dns/smartdns/files/smartdns.confd b/net-dns/smartdns/files/smartdns.confd
new file mode 100644
index 000000000000..f7ec5258db73
--- /dev/null
+++ b/net-dns/smartdns/files/smartdns.confd
@@ -0,0 +1,5 @@
+# Default settings for smartdns server. This file is sourced by /bin/sh from
+# /etc/init.d/smartdns.
+
+# Options to pass to smartdns
+SMART_DNS_OPTS=
diff --git a/net-dns/smartdns/files/smartdns.initd b/net-dns/smartdns/files/smartdns.initd
new file mode 100644
index 000000000000..f6084c557daa
--- /dev/null
+++ b/net-dns/smartdns/files/smartdns.initd
@@ -0,0 +1,24 @@
+#!/sbin/openrc-run
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting smartdns daemon"
+ start-stop-daemon --start --exec /usr/sbin/smartdns \
+ --pidfile /run/smartdns.pid \
+ -- -p /run/smartdns.pid \
+ ${SMART_DNS_OPTS}
+ eend $*
+}
+
+stop() {
+ ebegin "Stopping smartdns daemon"
+ start-stop-daemon --stop --exec /usr/sbin/smartdns \
+ --pidfile /run/smartdns.pid
+ eend $?
+}
+